Package svnmailer :: Module util :: Class ReadOnlyDict

[hide private]

# Class ReadOnlyDict

source code

    object --+
             |
          dict --+
                 |
                ReadOnlyDict

Read only dictionary

Instance Methods | [hide private]

__setitem__(self, key, value) modifiying is not allowed | source code

__delitem__(self, key) deleting is not allowed | source code

    None

clear(self) clearing is not allowed | source code

    v, remove specified key and return the corresponding value

pop(self, key, default=None) popping is not allowed | source code

    (k, v), remove and return some (key, value) pair as a

popitem(self) popping is not allowed | source code

    D.get(k,d), also set D[k]=d if k not in D

setdefault(self, default=None) modifying is not allowed | source code

    None

update(self, newdict) updating is not allowed | source code

Inherited from `dict`: `__cmp__`, `__contains__`, `__eq__`, `__ge__`, `__getattribute__`, `__getitem__`, `__gt__`, `__init__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__ne__`, `__new__`, `__repr__`, `__sizeof__`, `copy`, `get`, `has_key`, `items`, `iteritems`, `iterkeys`, `itervalues`, `keys`, `values`, `viewitems`, `viewkeys`, `viewvalues`

Inherited from `object`: `__delattr__`, `__format__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`, `__subclasshook__`

Class Methods | [hide private]

    New dict with keys from S and values equal to v

fromkeys(cls, seq, value=None) Chokes by default, so work around it | source code

Class Variables | [hide private]

| __msg = ``'``The dictionary is read-only``'``
Inherited from `dict`: `__hash__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __setitem__(self, key, value)
(Index assignment operator)

source code

modifiying is not allowed

Overrides: dict.__setitem__

### __delitem__(self, key)
(Index deletion operator)

source code

deleting is not allowed

Overrides: dict.__delitem__

### clear(self)

source code

clearing is not allowed

Returns:

    None

Overrides: dict.clear

### fromkeys(cls, seq, value=None)
Class Method

source code

Chokes by default, so work around it

Returns:

    New dict with keys from S and values equal to v

Overrides: dict.fromkeys

### pop(self, key, default=None)

source code

popping is not allowed

Returns:

    v, remove specified key and return the corresponding value

Overrides: dict.pop

### popitem(self)

source code

popping is not allowed

Returns:

    (k, v), remove and return some (key, value) pair as a

Overrides: dict.popitem

### setdefault(self, default=None)

source code

modifying is not allowed

Returns:

    D.get(k,d), also set D[k]=d if k not in D

Overrides: dict.setdefault

### update(self, newdict)

source code

updating is not allowed

Returns:

    None

Overrides: dict.update